* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-family: Montserrat SemiBold / Bold;
}

#main {
    background-color: rgba(0, 0, 0, 0.4);
    height: 100%;
    width: 100%;
}

.mt {
    margin-top: 60px;
}

.video-background {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    text-transform: uppercase;
}

.avatar-center {
    margin: 0 92px;
    border: 1px solid #1900ff27;
    border-radius: 50%;
    box-shadow: 1px 1px 12px #1900ff4e;
}

.information {
    width: 100%;
    padding-top: 100px;
}

.information-avatar {
    display: flex;
    justify-content: space-around;
    margin-bottom: 32px;
    animation: moveUpAnDown 4s ease-in-out infinite;
}

.work-with-me,
.social-me,
.about-me,
.information-name,
.information-job,
.information-drs {
    text-align: center;
}

.work-with-me,
.social-me,
.information-name {
    font-size: 60px;
    color: #E478CC;
    font-weight: 700;
    margin-bottom: 16px;
}

.information-job {
    font-size: 24px;
    color: #C5C8CD;
    margin-bottom: 24px;
}

.information-drs {
    font-size: 18px;
    color: #959BA8;
    margin-bottom: 32px;
}

.information-email {
    text-align: center;
}

.btn-email,
.email-personal {
    color: #fff;
    font-size: 16px;
    padding: 16px 32px;
    background: linear-gradient(90deg, #AB54F2, #E8499F);
    border: none;
    border-radius: 10px;
    margin-right: 5px;
    cursor: pointer;
    width: 270px;
}

.btn-hosting,
.email-hosting {
    color: #fff;
    font-size: 16px;
    padding: 16px 32px;
    background-color: rgba(0, 0, 0, 0.221);
    border: 1px solid #cccccc4a;
    border-radius: 10px;
    margin-left: 5px;
    cursor: pointer;
    width: 270px;
}

.email-icon {
    margin-right: 4px;
}

@keyframes moveUpAnDown {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(20px);
    }
    100% {
        transform: translateY(0);
    }
}

.skillAndTech {
    padding: 80px 16px;
}

.skillAndTech-information {
    text-align: center;
    font-size: 40px;
    color: #E478CC;
    font-weight: 700;
    margin-bottom: 64px;
}

.programmingL-infomation {
    text-align: center;
    font-size: 24px;
    font-weight: 700;
    color: #D1D5DB;
    margin-bottom: 32px;
}

.programming-languages {
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
}

.languages-javascript, 
.languages-typescript, 
.languages-python, 
.languages-java, 
.languages-c, 
.languages-c-shape, 
.languages-c-plus-plus, 
.languages-php, 
.languages-go, 
.languages-ruby {
    text-align: center;
    margin-bottom: 24px;
}

.programming-content {
    background-color: #0000003b;
    width: 14.45%;
    padding: 24px;
    margin-bottom: 24px;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
    transform: scale(1);
}

.programming-content:hover {
    cursor: pointer;
    transform: scale(1.1);
}

.languages-img {
    width: 31.5px;
    height: 37px;
    margin-bottom: 16px;
}

.languages-name {
    font-size: 24px;
    color: #FFFFFF;
    font-weight: 700;
    margin-bottom: 12px;
}

.languages-progress {
    border-radius: 10px;
    width: 100%;
    height: 10px;
    background-color: #374151;
}

.progress-77 {
    height: 100%;
    width: 77%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-10 {
    height: 100%;
    width: 10%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-12 {
    height: 100%;
    width: 12%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-66 {
    height: 100%;
    width: 66%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-59 {
    height: 100%;
    width: 59%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-45 {
    height: 100%;
    width: 45%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-52 {
    height: 100%;
    width: 52%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-21 {
    height: 100%;
    width: 21%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-3 {
    height: 100%;
    width: 3%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-14 {
    height: 100%;
    width: 14%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-11 {
    height: 100%;
    width: 11%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-4 {
    height: 100%;
    width: 4%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-6 {
    height: 100%;
    width: 6%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-10 {
    height: 100%;
    width: 10%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}


.progress-number {
    margin-top: 12px;
    font-size: 14px;
    color: #77808D;
}

.tools-languages,
.fontend-languages {
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
}

.tools-content,
.fontend-content {
    background-color: #0000003b;
    width: 23%;
    height: 100%;
    margin-bottom: 24px;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
    transform: scale(1);
    padding: 24px;
}

.tools-content:hover,
.fontend-content:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.languages-sass,
.languages-nextjs,
.languages-angular,
.languages-vue,
.tool-git,
.tool-vscode,
.tool-photoshop,
.tool-kali,
.languages-react {
    padding: 22px;
    text-align: center;
}

.progress-12 {
    height: 100%;
    width: 12%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-22 {
    height: 100%;
    width: 22%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-5 {
    height: 100%;
    width: 5%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-34 {
    height: 100%;
    width: 34%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-41 {
    height: 100%;
    width: 51%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-78 {
    height: 100%;
    width: 78%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-91 {
    height: 100%;
    width: 91%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-47 {
    height: 100%;
    width: 47%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.progress-25 {
    height: 100%;
    width: 25%;
    background: linear-gradient(90deg, #B153EB, #E14AA7);
    border-radius: 10px;
}

.about {
    padding: 80px 16px;
}

.about-me {
    font-size: 60px;
    color: #E478CC;
    font-weight: 700;
    margin-bottom: 16px;
}

.about-project {
    display: flex;
    background-color: #00000036;
    margin-left: auto;
    margin-right: auto;
    margin-top: 40px;
    width: 895px;
    padding: 32px;
    gap: 10%;
    border-radius: 20px;
}

.what-i-do {
    margin-top: auto;
    margin-bottom: auto;
}

.heading {
   font-size: 24px;
   color: #fff;
   margin-bottom: 30px; 
   font-weight: 700;
}

.drs {
    font-size: 16px;
    color: #CDD1D7;
}

.experiment {
    text-align: center;
}

.experiment-img {
    width: 100px;
    padding: 20px;
    background-color: #a234bb4c;
    border-radius: 50%;
}

.experience,
.project {
    background-color: #0000008d;
    width: 100%;
    height: 86px;
    margin: 0 10px;
    padding: 16px 48px;
    border-radius: 10px;
}

.project-number {
    font-size: 24px;
    color: #C084FC;
}

.project-drs {
    margin-top: 8px;
    font-size: 16px;
    color: #9d9c9c;
}

.project-experience {
    display: flex;
}

.experience-number {
    font-size: 24px;
    color: #F271B5;
}

.experience-drs {
    font-size: 16px;
    color: #9d9c9c;
}

.social {
    padding: 80px 16px;
}

.social-me {
    margin-bottom: 40px;
}

.link-social {
    display: flex;
    justify-content: space-around;
}

.link-facebook,
.link-github,
.link-discord {
    background-color: #0000003b;
    width: 33.3333333333333333%;
    margin: 0 12px;
    text-align: center;
    padding: 24px;
    border-radius: 20px;
    transition: transform 0.3s ease-in-out;
    transform: scale(1);
    text-decoration: none;
}

.link-facebook:hover,
.link-github:hover,
.link-discord:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.facebook-img,
.github-img,
.discord-img {
    width: 100px;
    padding: 28px;
    background-color: rgba(238, 130, 238, 0.305);
    border-radius: 50%;
    margin-bottom: 10px;
}

.facebook-name,
.github-name,
.discord-name {
    color: #fff;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 10px;
}

.facebook-drs,
.github-drs,
.discord-drs {
    font-size: 16px;
    color: #aeaeae;
}

.work-with-me {
    padding: 80px 16px;
}

.worktogether {
    padding-bottom: 100px;
    padding: 80px 16px;
}

.worktogether-section {
    text-align: center;
    background-color: #00000036;
    width: 895px;
    margin-left: auto;
    margin-right: auto;
    padding: 36px 0;
    border-radius: 20px;
}

.worktogether-heading {
    font-size: 20px;
    color: #CACDD3;
    margin-bottom: 36px;
}

.worktogether-btn {
    padding-bottom: 36px;
    border-bottom: 1px solid #cccccc27;
}

.worktogether-drs {
    margin-top: 20px;
    font-size: 16px;
    color: #77808D;
}